<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>Base_Compressor.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00012</filename>
    <includes id="a00013" name="Base_Compressor.h" local="yes" imported="no">tao/Compression/Base_Compressor.h</includes>
  </compound>
  <compound kind="file">
    <name>Base_Compressor.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00013</filename>
    <includes id="a00017" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00015" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::BaseCompressor</class>
  </compound>
  <compound kind="file">
    <name>Compression.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00014</filename>
    <includes id="a00015" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <includes id="a00020" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
  </compound>
  <compound kind="file">
    <name>Compression.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00015</filename>
    <includes id="a00017" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <class kind="class">TAO_Compression_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SAFE_INCLUDE</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a2fbc6123a3d3937d30bbf13d23827a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>TAO_Requires_Compression_Initializer</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a3bbb9f1e9f871a22528a1da00de2a954</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression.pidl</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00016</filename>
    <class kind="exception">Compression::CompressionException</class>
    <class kind="exception">Compression::FactoryAlreadyRegistered</class>
    <class kind="exception">Compression::UnknownCompressorId</class>
    <class kind="struct">Compression::CompressorIdLevel</class>
    <class kind="interface">Compression::Compressor</class>
    <class kind="interface">Compression::CompressorFactory</class>
    <class kind="interface">Compression::CompressionManager</class>
    <namespace>Compression</namespace>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressorId</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a71267987083f7e04141a9f8003ac9f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressionLevel</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a996ffe065150609b8c7b8bdb0dd10a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float</type>
      <name>CompressionRatio</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a376ada96602b4ef088739b60cc819c01</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorIdLevel &gt;</type>
      <name>CompressorIdLevelList</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a1d2fc31d914cb7fa73297ce662932559</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::OctetSeq</type>
      <name>Buffer</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a905d4cdf4b0ab2cddea28d501a056aa9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorFactory &gt;</type>
      <name>CompressorFactorySeq</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>abd8d58c7f2cedae9ef248dfc58a266ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix Compression omg</type>
      <name>org</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a6aa544a92a2c15a32dae969b1a57bddc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_NONE</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8c906dec846bc5a3e2cd95c00c213355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_GZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>afe315a4446dfa86b373121045c34f4e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_PKZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a44280b73dc41b09ad5b087f10cb620b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_BZIP2</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a565c8afaae4b44ad149dd45f38eeb971</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_ZLIB</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a4a72a488512b767122a0631187a4396d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZMA</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>aae125f9ad3fa1550865a7267a0adbacf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZO</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a763498464c809e6b1bb19c2edb93f1c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a17392f72a1a4c4494cc40911cf3d81ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_7X</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a585be0b9a16d84d72bcba0721d74c830</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_XAR</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8fc1fc2702a7140cf2720b375e659ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RLE</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>aa4d70fb94fe281104cbdd80b124ab61e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>compression_export.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00017</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_HAS_DLL</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>ae08821f2c44dc4d4ea5c49d34e91e58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Compression_Export</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>aee172dfe26c4916b866b0c1d9d785ccc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARATION</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a456c3605c9e5c1b5e78bee326dd9d18c</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARE</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a90d98275c3d82a22168343e6f0afefda</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression_include.pidl</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00018</filename>
    <includes id="a00016" name="Compression.pidl" local="yes" imported="yes">tao/Compression/Compression.pidl</includes>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00019</filename>
    <includes id="a00020" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00020</filename>
    <includes id="a00017" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00015" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::CompressionManager</class>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00021</filename>
    <includes id="a00022" name="Compressor_Factory.h" local="yes" imported="no">tao/Compression/Compressor_Factory.h</includes>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>a00022</filename>
    <includes id="a00017" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00015" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::CompressorFactory</class>
  </compound>
  <compound kind="class">
    <name>TAO::BaseCompressor</name>
    <filename>a00001.html</filename>
    <base virtualness="virtual">Compression::Compressor</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>BaseCompressor</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>ada68ee3c33b41d2e6c4c91bd86c68238</anchor>
      <arglist>(::Compression::CompressorFactory_ptr compressor_factory,::Compression::CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>compress</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a4c3e92fe737038b3671f359691b04133</anchor>
      <arglist>(const ::Compression::Buffer &amp;source,::Compression::Buffer &amp;target)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>decompress</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a2b92be75cf2b2a9ec9b0d146e3df0cb9</anchor>
      <arglist>(const ::Compression::Buffer &amp;source,::Compression::Buffer &amp;target)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>compressor_factory</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a4121d93632b82310f6d622684a3508c9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a3e7ba6dedd79333bca7b7439fc6e484b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>compressed_bytes</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>afb347fccd6801018cbb3633340ac5cba</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>uncompressed_bytes</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a165f9085da5af03e4cffd046bc7f0abb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressionRatio</type>
      <name>compression_ratio</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a08198d62318cfdf73bbfe6cb6c23631a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>compress</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>ade3df5948352c64c7f0a99f9cd8f646e</anchor>
      <arglist>(in Buffer source, inout Buffer target)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>decompress</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>ac6ea0e3b51529cca06d43c63a72ab3d3</anchor>
      <arglist>(in Buffer source, inout Buffer target)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>update_stats</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>aa64cb3abb94b462bb4959f6108a64da5</anchor>
      <arglist>(::CORBA::ULongLong uncompressed_bytes,::CORBA::ULongLong compressed_bytes)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a7ecc6c0d1c5f5ab94d1d19c7c44dfbfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressionLevel</type>
      <name>compression_level_</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a5f41300598bea063a7a8ee417c4bdfee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressorFactory *</type>
      <name>compressor_factory_</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a0211c53919f823484862792f1e6c9115</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::CORBA::ULongLong</type>
      <name>compressed_bytes_</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a353bdf42a4335c34388a50e2a542b0f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::CORBA::ULongLong</type>
      <name>uncompressed_bytes_</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a5b7ac1e86ffbfcfd9d51821bb747193b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressorFactory</type>
      <name>compressor_factory</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a17a6987752844cefd36f3ca872ed0bae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a0289487c258a1b678b57c3a13209bbb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute unsigned long long</type>
      <name>compressed_bytes</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a8c80ecb5f0e4929093afc968a7d4ed0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute unsigned long long</type>
      <name>uncompressed_bytes</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a88fc3d9c4bed78a1ef19607bb00ac9cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressionRatio</type>
      <name>compression_ratio</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>adf0431b0187b390daf1c7b99feec1cad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressionManager</name>
    <filename>a00004.html</filename>
    <base virtualness="virtual">Compression::CompressionManager</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CompressionManager</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a479f8eb8907af8ea841332a49db7e464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>register_factory</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a1894cdeaf3d8c329c9a14da7fd7adfd5</anchor>
      <arglist>(::Compression::CompressorFactory_ptr compressor_factory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister_factory</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a00e61d1fbbc30e5d4af6e09467584233</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>get_factory</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>ae063096413f045cfa79b63422395e481</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>ac4b6edd08f5488f0b50227d2f7918e69</anchor>
      <arglist>(::Compression::CompressorId compressor_id,::Compression::CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactorySeq *</type>
      <name>get_factories</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a6c62e296310a314c475cc367e164c4cb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>register_factory</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a41ce020c76bd288dfb55d3a6aeeb0dbb</anchor>
      <arglist>(in CompressorFactory compressor_factory)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unregister_factory</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>adc487af7536fdd80206c7af95ee49cde</anchor>
      <arglist>(in CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>CompressorFactory</type>
      <name>get_factory</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>ad847e28e3fe1e8c4e5682fd4e21174ce</anchor>
      <arglist>(in CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>Compressor</type>
      <name>get_compressor</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a9aa4374a1a32b3a96f58e8e1eb6e6280</anchor>
      <arglist>(in CompressorId compressor_id, in CompressionLevel compression_level)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a36b75b3d72416bdf91ce6dc621793f29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorFactorySeq</type>
      <name>factories_</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a9a435adeb16d8218411feab0f0cb6507</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressorFactory</name>
    <filename>a00007.html</filename>
    <base virtualness="virtual">Compression::CompressorFactory</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>CompressorFactory</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>ac8a57bd7489e793030939d118455a65c</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a1a77f2bcffeccac5ef1406a4f1e7808a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a6afb2c61f1b874d9c83a55023707d1c1</anchor>
      <arglist>(::Compression::CompressionLevel compression_level)=0</arglist>
    </member>
    <member kind="function">
      <type>Compressor</type>
      <name>get_compressor</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a4de73cc7b77195562b8c502126a6b225</anchor>
      <arglist>(in CompressionLevel compression_level)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorId const</type>
      <name>compressor_id_</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a50ec9b130a8b86f296c992de4dc85759</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a957d9cd0664c2f0f8f30a245ef809eac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Compression_Loader</name>
    <filename>a00010.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>acdbe4551f4f7e78a67400c7559920a2e</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>Initializer</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>ac5a92b414fd04405f56f92c787cec261</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Compression</name>
    <filename>a00023.html</filename>
    <class kind="exception">Compression::CompressionException</class>
    <class kind="exception">Compression::FactoryAlreadyRegistered</class>
    <class kind="exception">Compression::UnknownCompressorId</class>
    <class kind="struct">Compression::CompressorIdLevel</class>
    <class kind="interface">Compression::Compressor</class>
    <class kind="interface">Compression::CompressorFactory</class>
    <class kind="interface">Compression::CompressionManager</class>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressorId</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a71267987083f7e04141a9f8003ac9f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressionLevel</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a996ffe065150609b8c7b8bdb0dd10a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float</type>
      <name>CompressionRatio</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a376ada96602b4ef088739b60cc819c01</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorIdLevel &gt;</type>
      <name>CompressorIdLevelList</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a1d2fc31d914cb7fa73297ce662932559</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::OctetSeq</type>
      <name>Buffer</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a905d4cdf4b0ab2cddea28d501a056aa9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorFactory &gt;</type>
      <name>CompressorFactorySeq</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>abd8d58c7f2cedae9ef248dfc58a266ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix Compression omg</type>
      <name>org</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a6aa544a92a2c15a32dae969b1a57bddc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_NONE</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8c906dec846bc5a3e2cd95c00c213355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_GZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>afe315a4446dfa86b373121045c34f4e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_PKZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a44280b73dc41b09ad5b087f10cb620b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_BZIP2</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a565c8afaae4b44ad149dd45f38eeb971</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_ZLIB</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a4a72a488512b767122a0631187a4396d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZMA</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>aae125f9ad3fa1550865a7267a0adbacf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZO</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a763498464c809e6b1bb19c2edb93f1c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RZIP</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a17392f72a1a4c4494cc40911cf3d81ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_7X</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a585be0b9a16d84d72bcba0721d74c830</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_XAR</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8fc1fc2702a7140cf2720b375e659ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RLE</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>aa4d70fb94fe281104cbdd80b124ab61e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>Compression::CompressionException</name>
    <filename>a00002.html</filename>
    <member kind="variable">
      <type>long</type>
      <name>reason</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae8fcffaac50ce63f31cc8f60a0837418</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>string</type>
      <name>description</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a860802c84814c2139e0f2adcb8150fda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>Compression::FactoryAlreadyRegistered</name>
    <filename>a00009.html</filename>
  </compound>
  <compound kind="exception">
    <name>Compression::UnknownCompressorId</name>
    <filename>a00011.html</filename>
  </compound>
  <compound kind="struct">
    <name>Compression::CompressorIdLevel</name>
    <filename>a00008.html</filename>
    <member kind="variable">
      <type>CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a137506001b9ee4b2f95044664b3cb8d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>abc2bab5cf06415eb97d03cfe13d26106</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>Compression::Compressor</name>
    <filename>a00005.html</filename>
  </compound>
  <compound kind="interface">
    <name>Compression::CompressorFactory</name>
    <filename>a00006.html</filename>
  </compound>
  <compound kind="interface">
    <name>Compression::CompressionManager</name>
    <filename>a00003.html</filename>
    <member kind="function">
      <type>CompressorFactorySeq</type>
      <name>get_factories</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a9b3edec99e2510deac743890c372ffc2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_boolean &gt;</name>
    <filename>a00025.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_char &gt;</name>
    <filename>a00026.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_octet &gt;</name>
    <filename>a00027.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_wchar &gt;</name>
    <filename>a00028.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Char * &gt;</name>
    <filename>a00029.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Double &gt;</name>
    <filename>a00030.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Float &gt;</name>
    <filename>a00031.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Long &gt;</name>
    <filename>a00032.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::LongDouble &gt;</name>
    <filename>a00033.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::LongLong &gt;</name>
    <filename>a00034.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Object &gt;</name>
    <filename>a00035.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Short &gt;</name>
    <filename>a00036.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::ULong &gt;</name>
    <filename>a00037.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::ULongLong &gt;</name>
    <filename>a00038.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::UShort &gt;</name>
    <filename>a00039.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::WChar * &gt;</name>
    <filename>a00040.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; std::string &gt;</name>
    <filename>a00041.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; std::wstring &gt;</name>
    <filename>a00042.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::details::string_traits_base&lt; CORBA::WChar &gt;</name>
    <filename>a00043.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::In_Object_Argument_Cloner_T&lt; CORBA::InterfaceDef_ptr &gt;</name>
    <filename>a00044.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Objref_Traits&lt; CORBA::Object &gt;</name>
    <filename>a00045.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::unbounded_value_sequence&lt; CORBA::Octet &gt;</name>
    <filename>a00046.html</filename>
  </compound>
  <compound kind="dir">
    <name>Compression</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/Compression/</path>
    <filename>dir_e9ee7b4041f5962a61f1c9861641f1f2.html</filename>
    <file>Base_Compressor.cpp</file>
    <file>Base_Compressor.h</file>
    <file>Compression.cpp</file>
    <file>Compression.h</file>
    <file>Compression.pidl</file>
    <file>compression_export.h</file>
    <file>Compression_include.pidl</file>
    <file>Compression_Manager.cpp</file>
    <file>Compression_Manager.h</file>
    <file>Compressor_Factory.cpp</file>
    <file>Compressor_Factory.h</file>
  </compound>
  <compound kind="dir">
    <name>tao</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/</path>
    <filename>dir_e58f810e0bec50d432e8c31589fa3cdf.html</filename>
    <dir>Compression</dir>
  </compound>
  <compound kind="dir">
    <name>TAO</name>
    <path>/home/build/doxygen/ATCD/TAO/</path>
    <filename>dir_7d2f060b0e44e0922479b718a695c69b.html</filename>
    <dir>tao</dir>
  </compound>
</tagfile>
