<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>DynamicAny.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00033</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynamicAny.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00034</filename>
    <includes id="a00036" name="dynamicany_export.h" local="yes" imported="no">tao/DynamicAny/dynamicany_export.h</includes>
    <class kind="class">TAO_DynamicAny_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SAFE_INCLUDE</name>
      <anchorfile>a00034.html</anchorfile>
      <anchor>a8bc580f250a221f6d8ee43a3e20a362a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>TAO_Requires_DynamicAny_Initializer</name>
      <anchorfile>a00034.html</anchorfile>
      <anchor>abdb01c695be000da04cedacd02046f3f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynamicAny.pidl</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00035</filename>
    <class kind="interface">DynamicAny::DynAny</class>
    <class kind="exception">DynamicAny::DynAny::InvalidValue</class>
    <class kind="exception">DynamicAny::DynAny::TypeMismatch</class>
    <class kind="interface">DynamicAny::DynFixed</class>
    <class kind="interface">DynamicAny::DynEnum</class>
    <class kind="struct">DynamicAny::NameValuePair</class>
    <class kind="struct">DynamicAny::NameDynAnyPair</class>
    <class kind="interface">DynamicAny::DynStruct</class>
    <class kind="interface">DynamicAny::DynUnion</class>
    <class kind="interface">DynamicAny::DynSequence</class>
    <class kind="interface">DynamicAny::DynArray</class>
    <class kind="interface">DynamicAny::DynValueCommon</class>
    <class kind="interface">DynamicAny::DynValue</class>
    <class kind="interface">DynamicAny::DynValueBox</class>
    <class kind="exception">DynamicAny::MustTruncate</class>
    <class kind="interface">DynamicAny::DynAnyFactory</class>
    <class kind="exception">DynamicAny::DynAnyFactory::InconsistentTypeCode</class>
    <namespace>DynamicAny</namespace>
    <member kind="typedef">
      <type>string</type>
      <name>FieldName</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a5691f0c0ebb97c77d9f5e820e7639a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameValuePair &gt;</type>
      <name>NameValuePairSeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a30eb94298bb1c78ddddd537e133248c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a0b935e10c4709ee7b09735254e2d3c6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; any &gt;</type>
      <name>AnySeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>afd3ce487a56563b3a6bd3a5dae37d882</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; DynAny &gt;</type>
      <name>DynAnySeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>ae222a54dfb6bb5c051588b7856bfaf3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix DynamicAny omg</type>
      <name>org</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>aa100a97329bf4c9aebc3bd1aa082a63b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>dynamicany_export.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00036</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_HAS_DLL</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>abf5bf3065e1667c6baeefd40466c6f27</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DynamicAny_Export</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>a6c6daa39c11bbd6953a537b7559fd438</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SINGLETON_DECLARATION</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>aa79ff7a5f8af948cb807b17c4490d653</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNAMICANY_SINGLETON_DECLARE</name>
      <anchorfile>a00036.html</anchorfile>
      <anchor>af6444949e42e94b5e58578f68a7cf244</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynAny_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00037</filename>
    <includes id="a00038" name="DynAny_i.h" local="yes" imported="no">tao/DynamicAny/DynAny_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynAny_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00038</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynAny_i</class>
  </compound>
  <compound kind="file">
    <name>DynAnyFactory.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00039</filename>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00038" name="DynAny_i.h" local="yes" imported="no">tao/DynamicAny/DynAny_i.h</includes>
    <includes id="a00052" name="DynStruct_i.h" local="yes" imported="no">tao/DynamicAny/DynStruct_i.h</includes>
    <includes id="a00050" name="DynSequence_i.h" local="yes" imported="no">tao/DynamicAny/DynSequence_i.h</includes>
    <includes id="a00048" name="DynEnum_i.h" local="yes" imported="no">tao/DynamicAny/DynEnum_i.h</includes>
    <includes id="a00044" name="DynArray_i.h" local="yes" imported="no">tao/DynamicAny/DynArray_i.h</includes>
    <includes id="a00054" name="DynUnion_i.h" local="yes" imported="no">tao/DynamicAny/DynUnion_i.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynAnyFactory.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00040</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <class kind="class">TAO_DynAnyFactory</class>
  </compound>
  <compound kind="file">
    <name>DynAnyUtils_T.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00041</filename>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
    <includes id="a00038" name="DynAny_i.h" local="yes" imported="no">tao/DynamicAny/DynAny_i.h</includes>
    <includes id="a00044" name="DynArray_i.h" local="yes" imported="no">tao/DynamicAny/DynArray_i.h</includes>
    <includes id="a00048" name="DynEnum_i.h" local="yes" imported="no">tao/DynamicAny/DynEnum_i.h</includes>
    <includes id="a00050" name="DynSequence_i.h" local="yes" imported="no">tao/DynamicAny/DynSequence_i.h</includes>
    <includes id="a00052" name="DynStruct_i.h" local="yes" imported="no">tao/DynamicAny/DynStruct_i.h</includes>
    <includes id="a00054" name="DynUnion_i.h" local="yes" imported="no">tao/DynamicAny/DynUnion_i.h</includes>
    <includes id="a00056" name="DynValue_i.h" local="yes" imported="no">tao/DynamicAny/DynValue_i.h</includes>
    <includes id="a00058" name="DynValueBox_i.h" local="yes" imported="no">tao/DynamicAny/DynValueBox_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <namespace>TAO::MakeDynAnyUtils</namespace>
    <member kind="define">
      <type>#define</type>
      <name>TAO_DYNANYUTILS_T_CPP</name>
      <anchorfile>a00041.html</anchorfile>
      <anchor>a041f79a8dd9212e8431e1927e92f7f35</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>DynamicAny::DynAny_ptr</type>
      <name>make_dyn_any_t</name>
      <anchorfile>a00083.html</anchorfile>
      <anchor>a84023332794322d6ebbc32a5248d76bc</anchor>
      <arglist>(CORBA::TypeCode_ptr tc, ANY_TC any_tc, CORBA::Boolean allow_truncation)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DynAnyUtils_T.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00042</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00041" name="DynAnyUtils_T.cpp" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.cpp</includes>
    <class kind="struct">TAO::DynAnyBasicTypeUtils</class>
    <class kind="struct">TAO::DynAnyFlagUtils</class>
    <class kind="struct">TAO::CreateDynAnyUtils</class>
    <namespace>TAO::MakeDynAnyUtils</namespace>
  </compound>
  <compound kind="file">
    <name>DynArray_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00043</filename>
    <includes id="a00044" name="DynArray_i.h" local="yes" imported="no">tao/DynamicAny/DynArray_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynArray_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00044</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynArray_i</class>
  </compound>
  <compound kind="file">
    <name>DynCommon.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00045</filename>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00038" name="DynAny_i.h" local="yes" imported="no">tao/DynamicAny/DynAny_i.h</includes>
    <includes id="a00044" name="DynArray_i.h" local="yes" imported="no">tao/DynamicAny/DynArray_i.h</includes>
    <includes id="a00048" name="DynEnum_i.h" local="yes" imported="no">tao/DynamicAny/DynEnum_i.h</includes>
    <includes id="a00050" name="DynSequence_i.h" local="yes" imported="no">tao/DynamicAny/DynSequence_i.h</includes>
    <includes id="a00052" name="DynStruct_i.h" local="yes" imported="no">tao/DynamicAny/DynStruct_i.h</includes>
    <includes id="a00054" name="DynUnion_i.h" local="yes" imported="no">tao/DynamicAny/DynUnion_i.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynCommon.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00046</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <class kind="class">TAO_DynCommon</class>
  </compound>
  <compound kind="file">
    <name>DynEnum_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00047</filename>
    <includes id="a00048" name="DynEnum_i.h" local="yes" imported="no">tao/DynamicAny/DynEnum_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
  </compound>
  <compound kind="file">
    <name>DynEnum_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00048</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynEnum_i</class>
  </compound>
  <compound kind="file">
    <name>DynSequence_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00049</filename>
    <includes id="a00050" name="DynSequence_i.h" local="yes" imported="no">tao/DynamicAny/DynSequence_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynSequence_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00050</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynSequence_i</class>
  </compound>
  <compound kind="file">
    <name>DynStruct_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00051</filename>
    <includes id="a00052" name="DynStruct_i.h" local="yes" imported="no">tao/DynamicAny/DynStruct_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynStruct_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00052</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynStruct_i</class>
  </compound>
  <compound kind="file">
    <name>DynUnion_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00053</filename>
    <includes id="a00054" name="DynUnion_i.h" local="yes" imported="no">tao/DynamicAny/DynUnion_i.h</includes>
    <includes id="a00048" name="DynEnum_i.h" local="yes" imported="no">tao/DynamicAny/DynEnum_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynUnion_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00054</filename>
    <includes id="a00034" name="DynamicAny.h" local="yes" imported="no">tao/DynamicAny/DynamicAny.h</includes>
    <includes id="a00046" name="DynCommon.h" local="yes" imported="no">tao/DynamicAny/DynCommon.h</includes>
    <class kind="class">TAO_DynUnion_i</class>
  </compound>
  <compound kind="file">
    <name>DynValue_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00055</filename>
    <includes id="a00056" name="DynValue_i.h" local="yes" imported="no">tao/DynamicAny/DynValue_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynValue_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00056</filename>
    <includes id="a00060" name="DynValueCommon_i.h" local="yes" imported="no">tao/DynamicAny/DynValueCommon_i.h</includes>
    <class kind="class">TAO_DynValue_i</class>
  </compound>
  <compound kind="file">
    <name>DynValueBox_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00057</filename>
    <includes id="a00058" name="DynValueBox_i.h" local="yes" imported="no">tao/DynamicAny/DynValueBox_i.h</includes>
    <includes id="a00040" name="DynAnyFactory.h" local="yes" imported="no">tao/DynamicAny/DynAnyFactory.h</includes>
    <includes id="a00042" name="DynAnyUtils_T.h" local="yes" imported="no">tao/DynamicAny/DynAnyUtils_T.h</includes>
  </compound>
  <compound kind="file">
    <name>DynValueBox_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00058</filename>
    <includes id="a00060" name="DynValueCommon_i.h" local="yes" imported="no">tao/DynamicAny/DynValueCommon_i.h</includes>
    <class kind="class">TAO_DynValueBox_i</class>
  </compound>
  <compound kind="file">
    <name>DynValueCommon_i.cpp</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00059</filename>
    <includes id="a00060" name="DynValueCommon_i.h" local="yes" imported="no">tao/DynamicAny/DynValueCommon_i.h</includes>
  </compound>
  <compound kind="file">
    <name>DynValueCommon_i.h</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>a00060</filename>
    <includes id="a00038" name="DynAny_i.h" local="yes" imported="no">tao/DynamicAny/DynAny_i.h</includes>
    <class kind="class">TAO_DynValueCommon_i</class>
  </compound>
  <compound kind="struct">
    <name>TAO::CreateDynAnyUtils</name>
    <filename>a00001.html</filename>
    <templarg></templarg>
    <templarg></templarg>
    <member kind="function" static="yes">
      <type>static DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_t</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>abb5b482827ed8aecf1045cde67fb5f75</anchor>
      <arglist>(ANY_TC any_tc, CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_t</name>
      <anchorfile>a00001.html</anchorfile>
      <anchor>a026b8bea03c1976fdacf31bcf96450b4</anchor>
      <arglist>(CORBA::TypeCode_ptr tc, ANY_TC any_tc, CORBA::Boolean allow_truncation=true)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::DynAnyBasicTypeUtils</name>
    <filename>a00003.html</filename>
    <templarg></templarg>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>insert_value</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a24b6ce7491a6706d0adae2af5548baf4</anchor>
      <arglist>(const T &amp;val, TAO_DynCommon *the_dynany)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BasicTypeTraits&lt; T &gt;::return_type</type>
      <name>get_value</name>
      <anchorfile>a00003.html</anchorfile>
      <anchor>a980c226b29c3917ac0a1e8ab2f276b17</anchor>
      <arglist>(TAO_DynCommon *the_dynany)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>TAO::DynAnyFlagUtils</name>
    <filename>a00005.html</filename>
    <templarg></templarg>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>set_flag_t</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>adc6e92d588bed068d53f17c7247cabd1</anchor>
      <arglist>(DynamicAny::DynAny_ptr component, CORBA::Boolean destroying)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynamicAny_Loader</name>
    <filename>a00020.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynamicAny_Loader</name>
      <anchorfile>a00020.html</anchorfile>
      <anchor>a8847e229fa64da30a19a6a4c1abcdcbd</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a00020.html</anchorfile>
      <anchor>aa2700ca640ae754be4418023aefd924c</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>Initializer</name>
      <anchorfile>a00020.html</anchorfile>
      <anchor>ae6b1369a823b0f79942ade9ec74409b1</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynAny_i</name>
    <filename>a00021.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynAny_i</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aeea2afee6ae2f4e7ba9322ca4d164227</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynAny_i</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a913e4d7cd60f1d23c4550d365fc618ca</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a99a990467d19561377dd3314429230df</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aef5c464b0d9a7186e66d23ba5d0f2195</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>af3039426a7b7bc7fe4ed7a8ce3b8b619</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>abc2967b486904bda97abb30c4ddcacb7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>abaebe90d7f0f11be27b03cfc2f1501c6</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aa0d45179bd4e86678046b7ef01db9ec4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a967269bbe8101e2b45a45c157ab49c62</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af18ddffc446ed70f998328e8515b0545</anchor>
      <arglist>(in DynAny dyn_any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>from_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a129cf3c8ff33794220a75e23adb1b3c3</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>equal</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a57a84ae3af2aa81f85f67340e0af3a64</anchor>
      <arglist>(in DynAny dyn_any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_boolean</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4272c7210eb021fb76d07a5c603b6b21</anchor>
      <arglist>(in boolean value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_octet</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4865d2aca2e9f2cee9ba31628bc4cc24</anchor>
      <arglist>(in octet value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_char</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a011ea7bc8ef7ff89fd43a286e072fe51</anchor>
      <arglist>(in char value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_short</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1a00456ead446ef6e2a9e84e4d084ce3</anchor>
      <arglist>(in short value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ushort</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a0341a21eae65c196cbdff014ffb6035a</anchor>
      <arglist>(in unsigned short value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_long</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ad64f3f250396383308798cc82023ca9f</anchor>
      <arglist>(in long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a84464a06ae49b2ea78324cb75723d456</anchor>
      <arglist>(in unsigned long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_float</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a993f3f3f589702888f83b6a36745c4f7</anchor>
      <arglist>(in float value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_double</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1c7146750d956675354c3a81e00641bb</anchor>
      <arglist>(in double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_string</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a8307d922ce56d8c7b0b0c921acfddc50</anchor>
      <arglist>(in string value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_reference</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac82ec2bcf73fca2a4e7ecd5bd251286a</anchor>
      <arglist>(in Object value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_typecode</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab76bafb0673e752be3314a9a2585f628</anchor>
      <arglist>(in CORBA::TypeCode value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longlong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a978101fb274f2782656d162b0bc9ab3a</anchor>
      <arglist>(in long long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulonglong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a401d8059efcd26ce341f726b85272d2d</anchor>
      <arglist>(in unsigned long long value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longdouble</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a45bc34bc8d53328975457e479f009184</anchor>
      <arglist>(in long double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_wchar</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a5cf3c478b804dc47f6ae4de9144c5bc6</anchor>
      <arglist>(in wchar value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_wstring</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab6cdbf0fc354b9e67128a9a54f0117e7</anchor>
      <arglist>(in wstring value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af3b4b83a3692f2bb7264133a4409918e</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_dyn_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af1cf79553b5a20b7f46ba325f884326f</anchor>
      <arglist>(in DynAny value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_val</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af3c8fda2d27c7ccb06e8eb9ae4f23c5e</anchor>
      <arglist>(in ValueBase value)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>seek</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae3f99a3ad0bbe9b7b69c80479ba5b440</anchor>
      <arglist>(in long index)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_abstract</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a27dd66f15c7cce1cd7cec77bc70862bb</anchor>
      <arglist>(in CORBA::AbstractBase value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_boolean_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab9b9de6b90c72d3a5cb6c251a7fff688</anchor>
      <arglist>(in CORBA::BooleanSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_octet_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a0883c8648d8ba1bdae11ccec7a202530</anchor>
      <arglist>(in CORBA::OctetSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_char_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae904cc62dc2a5d4807a83f73f53a12da</anchor>
      <arglist>(in CORBA::CharSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_short_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4a355cf348ee0cae0634c1585f8edd73</anchor>
      <arglist>(in CORBA::ShortSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ushort_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>aed64aec8249cac23ed1b4d13c1ae42cc</anchor>
      <arglist>(in CORBA::UShortSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_long_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a7aa83c782060decb775da934b155bf80</anchor>
      <arglist>(in CORBA::LongSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>abaf9e733186b67f560cc896a032a23ab</anchor>
      <arglist>(in CORBA::ULongSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_float_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac32d908c407371a169916cd4c3dfd3e9</anchor>
      <arglist>(in CORBA::FloatSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_double_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a3b7ca3296c20e641c99291d923a6be5a</anchor>
      <arglist>(in CORBA::DoubleSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longlong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a0e1f981f30ba600835836df50c536f8e</anchor>
      <arglist>(in CORBA::LongLongSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_ulonglong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4bf13fcd59aedee89a52f7d50930ff65</anchor>
      <arglist>(in CORBA::ULongLongSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_longdouble_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a6491d205f646616cc42e93ac038063f3</anchor>
      <arglist>(in CORBA::LongDoubleSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert_wchar_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae249f9f34df4e0db24fe809568346da8</anchor>
      <arglist>(in CORBA::WCharSeq value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_DynCommon</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>adc1567203978cb88fde59522a92fb628</anchor>
      <arglist>(CORBA::Boolean allow_truncation)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_DynCommon</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a8daa555bd5d4595615b56b72ca516e7a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>type</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a186e5cb8c683363f5b88169f1456f269</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assign</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7254093b66f4af11a5b4c167d7ed0782</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_boolean</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a324f66cc2a664de865c33889d6dbe664</anchor>
      <arglist>(CORBA::Boolean value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_octet</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a6be2ab8d9857aef333d8c600dd5ef6a8</anchor>
      <arglist>(CORBA::Octet value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_char</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a259eca7a7ed4d00488785c76f6dd22a3</anchor>
      <arglist>(CORBA::Char value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_short</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7d86ad2201b2b8e167b0c8432b855d8c</anchor>
      <arglist>(CORBA::Short value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ushort</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7ef0a19d34aae8012b2d521727da764b</anchor>
      <arglist>(CORBA::UShort value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_long</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>acd0e8f7a8d8fe6a7c89631d29a8b1322</anchor>
      <arglist>(CORBA::Long value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a977facb9b587291b3f1be0788f13383c</anchor>
      <arglist>(CORBA::ULong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_float</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7ace09f6d28845c68c6ba80f791c1bd1</anchor>
      <arglist>(CORBA::Float value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_double</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aaaace3dabd5926883458841c4ef277f7</anchor>
      <arglist>(CORBA::Double value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_string</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4484a38705e1be07c1ef212713809bd6</anchor>
      <arglist>(const char *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_reference</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7bbccd99d328b4d67d531e923ba1854d</anchor>
      <arglist>(CORBA::Object_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_typecode</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a8ffa34ff4c2c069bbae84626463d72d2</anchor>
      <arglist>(CORBA::TypeCode_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longlong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aa5c274e58af0ce628e5e0e196a1995c3</anchor>
      <arglist>(CORBA::LongLong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulonglong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a23efe237a4148e5d10d3350de5a33889</anchor>
      <arglist>(CORBA::ULongLong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longdouble</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a46f9e98de97288592bc2e041ebfbab01</anchor>
      <arglist>(CORBA::LongDouble value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_wchar</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a949ffa0990f46202d6431cf6a1556476</anchor>
      <arglist>(CORBA::WChar value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_wstring</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a17ce3fb9af5dabc7e9524edc348f1958</anchor>
      <arglist>(const CORBA::WChar *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_any</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ab2890a8712b1e319b57fe875ba4a554a</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_dyn_any</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>afd985e3a7c42965cf591ef424003391c</anchor>
      <arglist>(DynamicAny::DynAny_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_val</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ac33f2b385bad5e8d03b9a97d209b19e2</anchor>
      <arglist>(CORBA::ValueBase *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>get_boolean</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a11e1ef1096d68e1235ca655944408e58</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Octet</type>
      <name>get_octet</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a825cfb7fc627de8d253720aadfb9d30d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Char</type>
      <name>get_char</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ad6c2a2a1d6363431190947c761394fb6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Short</type>
      <name>get_short</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>abc10515061f2bd1b3e526c6df94dc916</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::UShort</type>
      <name>get_ushort</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a198f5b02dd2ed7ed8ca8c9f9489fd014</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Long</type>
      <name>get_long</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a0f7617a47035602273f6e22e5e1b13fa</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_ulong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a55834414f517f9945d4bb6dfeb760d2a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Float</type>
      <name>get_float</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a61070a4c9f924823f16931bbe6e4da05</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Double</type>
      <name>get_double</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a1dfcadbb8baf53847260540c2af4207f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>get_string</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ad42a2ebcf80d2b3b93521e4465a82d9c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_reference</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4f532635142ea75114d8a4f6975c2e5c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TypeCode_ptr</type>
      <name>get_typecode</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a3881180d86c32d9d4dd7dc3f9015414c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongLong</type>
      <name>get_longlong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4d9339990b55c8d5179ea8b6c0c32fbf</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULongLong</type>
      <name>get_ulonglong</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a0c3fbe07a2f31015bc7d2c93977461e7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongDouble</type>
      <name>get_longdouble</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a325ff7c98a9faa340500f6a8e02f8ff3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::WChar</type>
      <name>get_wchar</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a2389660cf157a8afc10daf66e84b55ba</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::WChar *</type>
      <name>get_wstring</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a9070ace65fc6f00301a04c017b617c3c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>get_any</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a1aa96b134f535fd4f3ba5cf54f664976</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>get_dyn_any</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a067210c9f137f57ac8efc826016823ec</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ValueBase *</type>
      <name>get_val</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aa75e6796ba8e4fbf169972905f22c67c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>seek</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a7ef66b12511936e8cf62f319cfc7f7dc</anchor>
      <arglist>(CORBA::Long index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rewind</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>adca66e5056ba58cf6a667713ddd61164</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>next</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>abe2e29d5340c7be5fdbe564beadbc366</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>copy</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a62a3b3b5894cdf2e1b50374579285a4d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>component_count</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a2fdb9e7d82da6bd55661f2d006480d96</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_abstract</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aff9ec8bb3f034510a7b93a03e2b0db1a</anchor>
      <arglist>(CORBA::AbstractBase_ptr value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::AbstractBase_ptr</type>
      <name>get_abstract</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a9c4a878231af9dca2a5695c073878764</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_boolean_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a6f7eb67a7f056aeb8084ecece70b73d5</anchor>
      <arglist>(const CORBA::BooleanSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_octet_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a1a3f3d937653e8e2f54c1becbfb9acc8</anchor>
      <arglist>(const CORBA::OctetSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_char_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a45664cc1006ad58b2281cd811ce4f980</anchor>
      <arglist>(const CORBA::CharSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_short_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a33f332fb352eb744c7410c0a884e6ea9</anchor>
      <arglist>(const CORBA::ShortSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ushort_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ab0f6e91ace1b832482439ec6f8489d3e</anchor>
      <arglist>(const CORBA::UShortSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_long_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a909766dd1ad7ee341531ab2759ca8ade</anchor>
      <arglist>(const CORBA::LongSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a5c2ece25f7e76640b43491a84efd18d9</anchor>
      <arglist>(const CORBA::ULongSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_float_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ab3dbb7468a1c97060931d905709f4a50</anchor>
      <arglist>(const CORBA::FloatSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_double_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4df7bcbc07e0fc7ba51fb83fcca0bba3</anchor>
      <arglist>(const CORBA::DoubleSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longlong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a72cc4918b5fb641758c9f4d535a7b9fb</anchor>
      <arglist>(const CORBA::LongLongSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_ulonglong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aa0e0ce208230b8fa8dcf4efd12443019</anchor>
      <arglist>(const CORBA::ULongLongSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_longdouble_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a8fca93376d4a3588bc025f0f891a3f4d</anchor>
      <arglist>(const CORBA::LongDoubleSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_wchar_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a158788b05316ac132fc5f00c8cf6e5c3</anchor>
      <arglist>(const CORBA::WCharSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::BooleanSeq *</type>
      <name>get_boolean_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4dd196a1866786b546892cb5de20fcb0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::OctetSeq *</type>
      <name>get_octet_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a0b1c82fe0d274d95fa49d528e5e9683c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::CharSeq *</type>
      <name>get_char_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a20a599f0005c37156ab4e51849131103</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ShortSeq *</type>
      <name>get_short_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a3dca39520bd8b4d3a58e9a683833ff30</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::UShortSeq *</type>
      <name>get_ushort_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>af27ee71b514bc5794ed79b5fa92f07fa</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongSeq *</type>
      <name>get_long_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aae99b33dbde46660db8c0907c94ebfa1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULongSeq *</type>
      <name>get_ulong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a870145bd26504fbc5b450e4b0b5cc609</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::FloatSeq *</type>
      <name>get_float_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a37e4584a19136de6b84e60418b3e91b5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::DoubleSeq *</type>
      <name>get_double_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4bca85b0008d8a2e3ac3bdb1f7727b42</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongLongSeq *</type>
      <name>get_longlong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a1c5232ea275575be45af090b4db2402f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULongLongSeq *</type>
      <name>get_ulonglong_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a828bad8441792583fa8e5acfcd1c2ea3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::LongDoubleSeq *</type>
      <name>get_longdouble_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>abc37395c13ddd7e92f8d4e08e2dd7fd8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::WCharSeq *</type>
      <name>get_wchar_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a44d2e7e0ad2bc2042835a1f72d941dea</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_flag</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>afd2d71ca607ad0b62dd8d10d73e89b7b</anchor>
      <arglist>(DynamicAny::DynAny_ptr component, CORBA::Boolean destroying)</arglist>
    </member>
    <member kind="function">
      <type>DynamicAny::DynAny_ptr</type>
      <name>check_component</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a4bd14c280c7ba1307a2ccc821bb36fa5</anchor>
      <arglist>(CORBA::Boolean isValueType=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>check_type</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a8e2ece0d5c56cf65bd874baba061556b</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>has_components</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a8f8ab63fc27bab4ebfc5d9f38976f542</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>destroyed</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a63aea2fb19ef2b3e981534a828f4e196</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>CORBA::Any &amp;</type>
      <name>the_any</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a82a778013cb8f4979dc2aafab2f6e01e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>container_is_destroying</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a141663aadfb44b404c6f380fa756ceeb</anchor>
      <arglist>(CORBA::Boolean val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ref_to_component</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ad72337fd120ee17d21a7ba72da12eca8</anchor>
      <arglist>(CORBA::Boolean val)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynAny_i *</type>
      <name>_narrow</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a67c9208eeb4cfeb3e9f7844bb1bc6d38</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>is_basic_type_seq</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a55dc9042063504c09e1f9515b2f60368</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a9e29773a51eec71bba24b8068b9166c2</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_to_default_value</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aa453d5d8fac7ee7e6947f36318a846aa</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>ad30d1d535f4e1028ce485706c0ce4ce6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynAny_i</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a29b125c6a156dc65cfa3c1d7a2d54f74</anchor>
      <arglist>(const TAO_DynAny_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynAny_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aa9556888342770089502cb3657289878</anchor>
      <arglist>(const TAO_DynAny_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>ref_to_component_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>aab2086abb65b528421871bea31b21a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>container_is_destroying_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ac2928441aa7520681f1189199e65925f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>has_components_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a19b38848493bf24b73cc8d454bba4b98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>destroyed_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ad0cfa116a5f51fffd2de5de70dadafa3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Long</type>
      <name>current_position_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a327f27008dd7ae736813ba58ea1f8c74</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ULong</type>
      <name>component_count_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a27efa6b770f8d0421e742fb048b8bdcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::TypeCode_var</type>
      <name>type_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a0dd3080ca91aed6158939cb54bd917b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Any</type>
      <name>any_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a83bd24a2dd4152449706f1310abbd220</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>allow_truncation_</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>ac038b39159aac3a6eaf08c43d7fa55e2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynAnyFactory</name>
    <filename>a00022.html</filename>
    <base virtualness="virtual">DynamicAny::DynAnyFactory</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynAnyFactory</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>afd84068ddede5d918317c82f1d240936</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>a7b592c6726bde1f7bcc58e8466a47b32</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_from_type_code</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>ab91ac12ef72f79fd845b7964dd421263</anchor>
      <arglist>(CORBA::TypeCode_ptr type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>create_dyn_any_without_truncation</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>a3336967a0527129627ee9ccf0d328ce9</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAnySeq *</type>
      <name>create_multiple_dyn_anys</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>a2fb7ad970a0c806563ae67dbee7efb68</anchor>
      <arglist>(const DynamicAny::AnySeq &amp;values,::CORBA::Boolean allow_truncate)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::AnySeq *</type>
      <name>create_multiple_anys</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>ae268c8e048017a2fc22c957bff1ac058</anchor>
      <arglist>(const DynamicAny::DynAnySeq &amp;values)</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>create_dyn_any</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>ab70c13e197a932cdfb22c2125c2ff0a5</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>create_dyn_any_from_type_code</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a60e7b379e7b1caf84e56a07bbacf887a</anchor>
      <arglist>(in CORBA::TypeCode type)</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>create_dyn_any_without_truncation</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a8f8ac11ca6363e5f9caac836ccb3ab36</anchor>
      <arglist>(in any value)</arglist>
    </member>
    <member kind="function">
      <type>DynAnySeq</type>
      <name>create_multiple_dyn_anys</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a1b0295523a5997441b25a1c1486139b2</anchor>
      <arglist>(in AnySeq values, in boolean allow_truncate)</arglist>
    </member>
    <member kind="function">
      <type>AnySeq</type>
      <name>create_multiple_anys</name>
      <anchorfile>a00004.html</anchorfile>
      <anchor>a4f894e88361026731325ca7c92fd4338</anchor>
      <arglist>(in DynAnySeq values)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CORBA::TCKind</type>
      <name>unalias</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>a4c9f3a6abc10729e9c2aff14231ce5fc</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CORBA::TypeCode_ptr</type>
      <name>strip_alias</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>aaa6e844e3d10336d3f401a6e13662057</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynAnyFactory</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>a8b2fa78413b88e9371cf980eb89af782</anchor>
      <arglist>(const TAO_DynAnyFactory &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynAnyFactory &amp;</type>
      <name>operator=</name>
      <anchorfile>a00022.html</anchorfile>
      <anchor>ac77b77a71f76c61a29c5ce1cd675f926</anchor>
      <arglist>(const TAO_DynAnyFactory &amp;src)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynArray_i</name>
    <filename>a00023.html</filename>
    <base virtualness="virtual">DynamicAny::DynArray</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynArray_i</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a45a17f21d082e8e6f00231ad7878e88b</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynArray_i</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a3a617527a82f995c010ab8beae3974cd</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a9c4aadcadd1881ccaaee909535ba5971</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a04a07b8887eb5d35b9a9517a3eb6f8cf</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a52af3c133612d804109f03963c18a2a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a793c377d01a19150c85e2718f234c308</anchor>
      <arglist>(const DynamicAny::AnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ac98b80f8b52fbad5443617bbfc984cf6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ac071e54ff9761644b9808c885a8fb134</anchor>
      <arglist>(const DynamicAny::DynAnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>af58e89865796738ea5e29ceaeabfee9b</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ac2f0731ead894c5c07ab5dd6f48f23b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a765f497e53c6b75e6290b60a3e560bd1</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ab80e9c9cafa5efaa707d3c4359e22024</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a8d3ea7d2c89173379613000af5e3dadc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a4a227526f0df69979d872b8e67750d7a</anchor>
      <arglist>(in AnySeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements_as_dyn_any</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a973c2062dfc192034c98d5933921f80c</anchor>
      <arglist>(in DynAnySeq value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynArray_i *</type>
      <name>_narrow</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a7ed833a6df42448aed7e0337bd10fe6c</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>get_element_type</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ae0098f4a1156ebab37e445042f9be175</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::ULong</type>
      <name>get_tc_length</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a70f529727103a066f6140843f3ba2e94</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>ad1630329f7cdb8b70e7ac19f9e445bbe</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynArray_i</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a97d73c08c12a6beddd1b2ece8d86d111</anchor>
      <arglist>(const TAO_DynArray_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynArray_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a2ed8887fa4dd85863f7118ea9220adfd</anchor>
      <arglist>(const TAO_DynArray_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchorfile>a00023.html</anchorfile>
      <anchor>a53ed0f6818178b856b555ec5169eee83</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynCommon</name>
    <filename>a00024.html</filename>
    <base virtualness="virtual">DynamicAny::DynAny</base>
    <member kind="function">
      <type>any</type>
      <name>to_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>adf4de5654a5d3b9d0542d548a7abc074</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>acf45f6dd9ac4bd222f9c99500367b825</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>current_component</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a6753159e03d1327bc16bbbb770a560ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>check_type_and_unalias</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a03174f6cd7196823ec6db396e0c44186</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynEnum_i</name>
    <filename>a00025.html</filename>
    <base virtualness="virtual">DynamicAny::DynEnum</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynEnum_i</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a026832630016b5b3c58d43c8cdb3a9db</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynEnum_i</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a18dd0ea14ef5ef5312e7ea7ed7f5366a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>adecc5206fc778774b130f2cbb3730a70</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a9747c33bb2d8aa484491b921a5ed214a</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>get_as_string</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a717f457f3d222c2e5d23d94947336a03</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_as_string</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a4222e53f4bebd0d879b2505c03264eaa</anchor>
      <arglist>(const char *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_as_ulong</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a4731583adc4d4f7b8a566b1ae0dd9e69</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_as_ulong</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a5895a9e9cc852007d6ba1003ee6f6480</anchor>
      <arglist>(CORBA::ULong value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a086d7540204c55a9d16cb1702220fa1f</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a1ad64de5352e7db812e35145eda06472</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a0e0a3e70f7fbec67cdcf986f4145090e</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a884e900d875f6708b1b02d0b71e3142b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a2b48d1ba59efd95b8777fda3bd9ab6da</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_as_string</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a8644b99b8decb839dc73a1aefea67c24</anchor>
      <arglist>(in string value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_as_ulong</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a57af1a4ebfe3de16b3f4e2f5c0994387</anchor>
      <arglist>(in unsigned long value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynEnum_i *</type>
      <name>_narrow</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a8dee593c606b34dc934bbc45298b97da</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a8cb2fa701c7fb2b62c89a261c4d04423</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynEnum_i</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>aea110ac7be16cea17a83ff5fbcd28c89</anchor>
      <arglist>(const TAO_DynEnum_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynEnum_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>a0ff68f7a9e7d4759b7a873cb1a56710c</anchor>
      <arglist>(const TAO_DynEnum_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ULong</type>
      <name>value_</name>
      <anchorfile>a00025.html</anchorfile>
      <anchor>ada5392f606d4491bfc4217b8732beb2a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynSequence_i</name>
    <filename>a00026.html</filename>
    <base virtualness="virtual">DynamicAny::DynSequence</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynSequence_i</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a69ef0cb6e4cd958cc97b9c343a4c106d</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynSequence_i</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>ae0e82879024f95a6d5b39446532a756e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a9c8063cae5c461b202820caafb49d063</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a42ed3cb98b274df056a0e95cdcdcaf29</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_length</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a6e9700ac9409be91155b9a9e250f69e8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_length</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a786b8fafbf9cc7245620e7fcf695ce5b</anchor>
      <arglist>(CORBA::ULong len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::AnySeq *</type>
      <name>get_elements</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>af1dec6ac668080e55c1dc152866a677d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>ac61d9ed988680db1f0163dd2916d6273</anchor>
      <arglist>(const DynamicAny::AnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAnySeq *</type>
      <name>get_elements_as_dyn_any</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a420267c343397a59a5f4509c90c7e9a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_elements_as_dyn_any</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a4ad01e1f848ec1e270b46563994a69c7</anchor>
      <arglist>(const DynamicAny::DynAnySeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>aa38ee548ac28e631f5b1041740835c59</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a43ebb67810314a4df30ed15685a3cd38</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>acff12ef2a615380bd7c126c8fe83de20</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a223f130013259b7047da3c915dd52f48</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a27666602ee107c48aafcb04524438ae3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_length</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a018cee718d3cc12e8bededb564460ab8</anchor>
      <arglist>(in unsigned long len)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a731c016774ca710c01cba10d2846dc25</anchor>
      <arglist>(in AnySeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_elements_as_dyn_any</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a5e52ca059945ddf02baf3f85afcffba2</anchor>
      <arglist>(in DynAnySeq value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynSequence_i *</type>
      <name>_narrow</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a1ddcb4589b96be2fcb2dff1426ff1aae</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::TypeCode_ptr</type>
      <name>get_element_type</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a317ffd332c92ddf28e66659858c22031</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>aa66e9ff9d9fc6a3ffaf8b53d21153256</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynSequence_i</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a5d41b6fd457776c6718862daf4495869</anchor>
      <arglist>(const TAO_DynSequence_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynSequence_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>a04b16a2abcc12674ef733083e24145d2</anchor>
      <arglist>(const TAO_DynSequence_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchorfile>a00026.html</anchorfile>
      <anchor>aeba299cd24b88ee6c2707be55c12f4c0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynStruct_i</name>
    <filename>a00027.html</filename>
    <base virtualness="virtual">DynamicAny::DynStruct</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynStruct_i</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a6e317fb57c71df303344e4a383217554</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynStruct_i</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a40da36cd032fa5d68454b411f4f83ed0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>adbcd3f1c940f6916d3757195bb1d818e</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a0c44a484da9aa09834a0881a74568e09</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::FieldName</type>
      <name>current_member_name</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a1d3b15532d17356c4e198f41aa804aef</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a3fedaa9673437481a04201f9a7e1437f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameValuePairSeq *</type>
      <name>get_members</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a160c989b2b8b3b7d2e8c1c931d8d226c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a185cf69cfeb629bc7f266f65091e588d</anchor>
      <arglist>(const DynamicAny::NameValuePairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameDynAnyPairSeq *</type>
      <name>get_members_as_dyn_any</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a3c2eb6e869c4de7ae5fcbe6dc26af20a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members_as_dyn_any</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>afad9f21283e5181c9ec804033f393dca</anchor>
      <arglist>(const DynamicAny::NameDynAnyPairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>addcfacf09cde539fe27a8f39d4cacc9e</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a315bf42f81176e2ef4c57c0fcebfa91d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a2bb0f3be25851e9450cf292d92a3498a</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a7713fff380950e1babf4bc95ad3bade6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a450c8ed65b5a060ec49e898ee9c61699</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a86cd387458341cbb5dd2ddb9f01f7989</anchor>
      <arglist>(in NameValuePairSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members_as_dyn_any</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a1eb3731854016353dab4f4393cbe51d1</anchor>
      <arglist>(in NameDynAnyPairSeq value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynStruct_i *</type>
      <name>_narrow</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a41311c8cecb0699c4cba657c70e4d352</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a50dac2223e2f4b6b965c87fe0e312551</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_from_any</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>aebfb84092e22d8b0db935e9062868f6c</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a3e9aba4d9f231f70666728591e39f9b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynStruct_i</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a6f3557f3d80626bb3e8b080477ea2f99</anchor>
      <arglist>(const TAO_DynStruct_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynStruct_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a87e49f9bcf8df77cb5ea73193e1e1b58</anchor>
      <arglist>(const TAO_DynStruct_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a780a74f44a3e5552ddbb9c212f114471</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynUnion_i</name>
    <filename>a00028.html</filename>
    <base virtualness="virtual">DynamicAny::DynUnion</base>
    <base virtualness="virtual">TAO_DynCommon</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynUnion_i</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a3c7431c880b12a976af4760ebf5fffc2</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynUnion_i</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>ab232bf326f037a09811a99cc5fb626d6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>aaf4a31f7972a1b007309cefd28aff7e5</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>ade9ef232225664b3f608bb7f3316048f</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>get_discriminator</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a40a4b681b1551f677a4033b58bce02e0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_discriminator</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>aba493a7df0ca8e4525bf234d7b0db178</anchor>
      <arglist>(DynamicAny::DynAny_ptr d)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_default_member</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a37ec9f4072e00edc1c7c6ad43d1b1f64</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_no_active_member</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a1e31f3702d17b7f4d190d8b42489747c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>has_no_active_member</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a246fc4047fea6a43800d53c13f23033d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>discriminator_kind</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a645147a1f0491db42e3bba03ec52999b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>member</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a25c4f038d088df57e362153fc52fb807</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>member_name</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a9d8e086295bb0bd96f3becef50d6ed84</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>member_kind</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>af3fa5a8f37c8e0ee232295e25b398feb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a218de162943950904066c1cd2f91ba25</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a4e44e3c871618932b109559cc02f5cee</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>acd2d42c93edc32fffebd953f6c3c71e8</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a752909586a723f4efeced48014cba5f9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a101ce077bb056f739df8cb6856db1352</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_discriminator</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a54a07d766c30dcb959d3c65ae4d8c09b</anchor>
      <arglist>(in DynAny d)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynUnion_i *</type>
      <name>_narrow</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>ad5554a931504cee725fed78bb78defeb</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_from_any</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>ac4b38848a9e958b07a4f3babae5a26e8</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a0653e6e142b0919c2095d6bed83569c7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::Boolean</type>
      <name>label_match</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a5758a97c3dffaf63ba6e92ced12f681d</anchor>
      <arglist>(const CORBA::Any &amp;my_any, const CORBA::Any &amp;other_any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynUnion_i</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>aa51f410e4a0f320b30ce522d5a01aab3</anchor>
      <arglist>(const TAO_DynUnion_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynUnion_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>ab5887efa50449ac068e1f29eef339a90</anchor>
      <arglist>(const TAO_DynUnion_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DynamicAny::DynAny_var</type>
      <name>member_</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a60ef76559d7adf1099caa65b0bf86cc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DynamicAny::DynAny_var</type>
      <name>discriminator_</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a58f7cfc4e82a0721e5a683a4e6656976</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ULong</type>
      <name>member_slot_</name>
      <anchorfile>a00028.html</anchorfile>
      <anchor>a19d9af001d8aa28f45dff873b1812fb3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynValue_i</name>
    <filename>a00029.html</filename>
    <base virtualness="virtual">DynamicAny::DynValue</base>
    <base virtualness="virtual">TAO_DynValueCommon_i</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynValue_i</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a1b5c59346fc055c5ffd046ccf5053d37</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynValue_i</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a7adc1d9fe67dde33fe3d9eac392be06e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a77bf2651d6a6b43a2e645f25f5a12eeb</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ae310961402e7418bd42eb72ebe9db85a</anchor>
      <arglist>(CORBA::TypeCode_ptr tc, TAO_InputCDR &amp;in)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>af3f7df71fff96eed7f29f614cd63bab0</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::FieldName</type>
      <name>current_member_name</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a6dba6f203f732dba11c0a45f61fcc820</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a1f8d8099fd38a90aa951ba6d318af18f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameValuePairSeq *</type>
      <name>get_members</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ab6f07f7768c3f3d203df6687bd00a86b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a69bb919e71a99af739cd65405ab1a8b5</anchor>
      <arglist>(const DynamicAny::NameValuePairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::NameDynAnyPairSeq *</type>
      <name>get_members_as_dyn_any</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>aacac80d6eb9417fcec5c88550bebdbac</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_members_as_dyn_any</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a0e8db7243724067f0f41da1837093dc4</anchor>
      <arglist>(const DynamicAny::NameDynAnyPairSeq &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ab0a5f014f5ed68940b465174cbe10737</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a07204c62e45101587cbb2ad95eb4cd0b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>acbc23b18ec5bb82e0bc5feac644c9e37</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a91bc4e7b4e236930f4a62c0dd9264d51</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>af90a1557cc4b11e0e957a3afbde0815f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_val</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>aa7de033abde84f2f5d31e49c647a3818</anchor>
      <arglist>(CORBA::ValueBase *value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ValueBase *</type>
      <name>get_val</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>aa3c7bf6430a848d0ddd1758692b1e2fe</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_value</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a985656262dc6362f44fb84f25cbd8ba6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a88d88c975f5e2f37e20112948e37df42</anchor>
      <arglist>(in NameValuePairSeq value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_members_as_dyn_any</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a7516f4562b0315fb2ac5717a7732d588</anchor>
      <arglist>(in NameDynAnyPairSeq value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_DynValueCommon_i</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a0aca52f5525430dda0df0de7733066b4</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynValueCommon_i</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>aeddba7e338396cea05d4aa6df115897c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init_common</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a8a1841d1924869fa0f5b836821198992</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>is_null</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a4235bf253aa125fe04793d713a9e8d14</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_null</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a320ad19c5752245d2380031a01c6a5a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynValue_i *</type>
      <name>_narrow</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a7d9b37fd158686f4425a9097a9fa00e5</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynValueCommon_i *</type>
      <name>_narrow</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a188d9b7697a1954c0017b8268686e4da</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="typedef" protection="private">
      <type>ACE_Array_Base&lt; CORBA::TypeCode_var &gt;</type>
      <name>BaseTypesList_t</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>ab7c7b5ef9e4ae91fa60ca4196bc0e2ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a107a246669af266ed2bd88f16b3a7f00</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>init_helper</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a6a256a35164a44696e9aac5baf4464e9</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>from_any_helper</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a3114db7e0fcd8ed1380bea280b85adaa</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_outputCDR</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>af2ae17dfe64fcea3d2ca4337d850c9c6</anchor>
      <arglist>(TAO_OutputCDR &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>from_inputCDR</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a4a22972f4b6d9e4afcace3beaae4bc10</anchor>
      <arglist>(TAO_InputCDR &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynValue_i</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a5efc1685f53017806057ead12ed26463</anchor>
      <arglist>(const TAO_DynValue_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynValue_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a1d1030212bd01a646956945ca45558a3</anchor>
      <arglist>(const TAO_DynValue_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static void</type>
      <name>get_base_types</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a8df887139aea96caaf40bb63ad95c5d6</anchor>
      <arglist>(CORBA::TypeCode_ptr, BaseTypesList_t &amp;, CORBA::ULong *total_member_count=0)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static CORBA::TypeCode_ptr</type>
      <name>get_correct_base_type</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a7fb15712d11450d0abcc67e554f3d060</anchor>
      <arglist>(const BaseTypesList_t &amp;base_types, CORBA::ULong &amp;index)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static CORBA::TypeCode_ptr</type>
      <name>get_member_type</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a6bae56c80a8b3917035a21909cdfc3d0</anchor>
      <arglist>(const BaseTypesList_t &amp;, CORBA::ULong index)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static const char *</type>
      <name>get_member_name</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>af573f7e3e6ced1f0ac92038428d2cb2d</anchor>
      <arglist>(const BaseTypesList_t &amp;, CORBA::ULong index)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Array_Base&lt; DynamicAny::DynAny_var &gt;</type>
      <name>da_members_</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>aa5982a6154f4d65db0243cd0ef2cb33d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>BaseTypesList_t</type>
      <name>da_base_types_</name>
      <anchorfile>a00029.html</anchorfile>
      <anchor>a977c530e2492a94e4ae2ca70e5a3be08</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::Boolean</type>
      <name>is_null_</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>ab1b5c894c98c80c0e82115ed62b64e1e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynValueBox_i</name>
    <filename>a00030.html</filename>
    <base virtualness="virtual">DynamicAny::DynValueBox</base>
    <base virtualness="virtual">TAO_DynValueCommon_i</base>
    <member kind="function">
      <type></type>
      <name>TAO_DynValueBox_i</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aae803b2f389dee9c2c6b3e5f9487cc51</anchor>
      <arglist>(CORBA::Boolean allow_truncation=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_DynValueBox_i</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a1704d1155b1fb0d2fe330faa3b6d84c8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a268502bd4433d11ef953c928d0f93e45</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a7ba28f84e644ed7f24c8e7f3a8268a90</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>get_boxed_value</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>adf50ac01e447d3fe5c972c7977b7e343</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_boxed_value</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a9a9cbc8d5d7041f6a8ae75f524298048</anchor>
      <arglist>(const CORBA::Any &amp;boxed)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>get_boxed_value_as_dyn_any</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>abe6f6f9fc4e6494b90ee61160f825af9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_boxed_value_as_dyn_any</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aea03f6f5960517ef16bddec45711f9aa</anchor>
      <arglist>(DynamicAny::DynAny_ptr boxed)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from_any</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a64720b9096fbefb92c57aac41b2c87de</anchor>
      <arglist>(const CORBA::Any &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Any *</type>
      <name>to_any</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a89a430ff634b47537852f1b18a5c7b56</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>equal</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a6908a83c9a07d08439bbc9e8c4d513af</anchor>
      <arglist>(DynamicAny::DynAny_ptr dyn_any)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a5efe194bf31aeacbe297e82b52fe562e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DynamicAny::DynAny_ptr</type>
      <name>current_component</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>af32dffb7c221489aae01df20a66c6032</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set_to_value</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aa9830cd27975136343a5eea1c8b24a35</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_boxed_value</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a339e14129b5d73bc543ea89be19db993</anchor>
      <arglist>(in any boxed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_boxed_value_as_dyn_any</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a1dbae56cc556dfc7431fe8c32a063ce5</anchor>
      <arglist>(in DynAny boxed)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TAO_DynValueBox_i *</type>
      <name>_narrow</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a5447c09bfca172629603ec415fc82164</anchor>
      <arglist>(CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_typecode</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a03ab817092f84849d79285aced190db0</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_from_any</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>aaa3c20406b8b345d2b294fa38f921de7</anchor>
      <arglist>(const CORBA::Any &amp;any)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynValueBox_i</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>acb04904ffaf5d3ed9020cb3540487847</anchor>
      <arglist>(const TAO_DynValueBox_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynValueBox_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a185be03590834c5a9bd22db1dcd7787e</anchor>
      <arglist>(const TAO_DynValueBox_i &amp;src)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DynamicAny::DynAny_var</type>
      <name>boxed_</name>
      <anchorfile>a00030.html</anchorfile>
      <anchor>a9ef5ecbede8b69791a9443cb0f54dccf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_DynValueCommon_i</name>
    <filename>a00031.html</filename>
    <base virtualness="virtual">DynamicAny::DynValueCommon</base>
    <base virtualness="virtual">TAO_DynAny_i</base>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>set_to_value</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>af344e1a865106704dbe3ac58cfbfd7b0</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_DynValueCommon_i</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>a215817fbe6cf7d1fbf7ec52af2993990</anchor>
      <arglist>(const TAO_DynValueCommon_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_DynValueCommon_i &amp;</type>
      <name>operator=</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>afbed80286a803db5d9cd5a67bc0c902e</anchor>
      <arglist>(const TAO_DynValueCommon_i &amp;src)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="pure">
      <type>virtual void</type>
      <name>check_typecode</name>
      <anchorfile>a00031.html</anchorfile>
      <anchor>ac6330713435c8e861ab8881597d679df</anchor>
      <arglist>(CORBA::TypeCode_ptr tc)=0</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>DynamicAny</name>
    <filename>a00061.html</filename>
    <class kind="interface">DynamicAny::DynAny</class>
    <class kind="interface">DynamicAny::DynFixed</class>
    <class kind="interface">DynamicAny::DynEnum</class>
    <class kind="struct">DynamicAny::NameValuePair</class>
    <class kind="struct">DynamicAny::NameDynAnyPair</class>
    <class kind="interface">DynamicAny::DynStruct</class>
    <class kind="interface">DynamicAny::DynUnion</class>
    <class kind="interface">DynamicAny::DynSequence</class>
    <class kind="interface">DynamicAny::DynArray</class>
    <class kind="interface">DynamicAny::DynValueCommon</class>
    <class kind="interface">DynamicAny::DynValue</class>
    <class kind="interface">DynamicAny::DynValueBox</class>
    <class kind="exception">DynamicAny::MustTruncate</class>
    <class kind="interface">DynamicAny::DynAnyFactory</class>
    <member kind="typedef">
      <type>string</type>
      <name>FieldName</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a5691f0c0ebb97c77d9f5e820e7639a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameValuePair &gt;</type>
      <name>NameValuePairSeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a30eb94298bb1c78ddddd537e133248c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameDynAnyPair &gt;</type>
      <name>NameDynAnyPairSeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>a0b935e10c4709ee7b09735254e2d3c6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; any &gt;</type>
      <name>AnySeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>afd3ce487a56563b3a6bd3a5dae37d882</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; DynAny &gt;</type>
      <name>DynAnySeq</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>ae222a54dfb6bb5c051588b7856bfaf3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix DynamicAny omg</type>
      <name>org</name>
      <anchorfile>a00061.html</anchorfile>
      <anchor>aa100a97329bf4c9aebc3bd1aa082a63b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynAny</name>
    <filename>a00002.html</filename>
    <class kind="exception">DynamicAny::DynAny::InvalidValue</class>
    <class kind="exception">DynamicAny::DynAny::TypeMismatch</class>
    <member kind="function">
      <type>CORBA::TypeCode</type>
      <name>type</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a00b82fe3cde53022402403f22a30ed51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>copy</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ace0ca6328eb0ce7314d50f258a7e8d75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>get_boolean</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4d24e0f17a7568776b577cbc2ce485a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>octet</type>
      <name>get_octet</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a9c9ab1ddec8060d8201281f69c8b9094</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>char</type>
      <name>get_char</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a5f9d386f9cd21b5681be2fdf2d98c8fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>short</type>
      <name>get_short</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae5f043262e2b725d46fa7e441760b3c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>get_ushort</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae2aff509476a6ce4bf6a691930b19538</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>get_long</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab5ec4e1e1e21c6c53e36e41176c1640e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_ulong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a9082aab7e50783ca0dae2926f5f67de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>get_float</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4da8b2bab1d26ceb999992477511de6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>get_double</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a6bd37603937f4025fec2669048121fa7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>get_string</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a79e53cda00bc7e0940cece6b24eee077</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_reference</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a30edc0c6e997bee01623bf5fcf944bde</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TypeCode</type>
      <name>get_typecode</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab8399f0f479d6d6fd590dac7d1117174</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long long</type>
      <name>get_longlong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a59c098ea55b79e3f4f8420cf2381337a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long long</type>
      <name>get_ulonglong</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af423233eb6416ae9e5cc05febcfff580</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long double</type>
      <name>get_longdouble</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae476cb3d28c3418ec720f52146e669be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>wchar</type>
      <name>get_wchar</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ad260805ace898864156c72a8c04ca2ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>wstring</type>
      <name>get_wstring</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>adc142edebe2181e4aee0c5e7b2b44554</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>any</type>
      <name>get_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ae8d3a58eca6e5320b98473c2adacc5e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>get_dyn_any</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a4dd566cd6ac59d46869fad2bf97f1e7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ValueBase</type>
      <name>get_val</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a6bbc5951182b190f4907712016adc3bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rewind</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>aae6d246ac262a3594a3a1f70ee53200e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>next</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a2d604882f900b57abadec98aa8565bf4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>component_count</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>adbd3616bd46d3ce38b3db3eab2b328c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::AbstractBase</type>
      <name>get_abstract</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1fd674ba4eb661d04df29b939a4b5e18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::BooleanSeq</type>
      <name>get_boolean_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a51829fe0a61340289dd13361061d9553</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::OctetSeq</type>
      <name>get_octet_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a0df037676d817c1d054012bbe98189ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::CharSeq</type>
      <name>get_char_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a102cea2055693bae9f038e3e229d74cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::ShortSeq</type>
      <name>get_short_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>afe5968ae31a845b28a98c908ab7e7dad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::UShortSeq</type>
      <name>get_ushort_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a1a0fd0e91991174425323117040da5d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::LongSeq</type>
      <name>get_long_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a2f65b6e2649a4a9fd40c7b90eb57dfe4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::ULongSeq</type>
      <name>get_ulong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a6ec6e066afdc64144d3365405df26ebf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::FloatSeq</type>
      <name>get_float_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>afc11db8a396a43accf099c8a31b31287</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::DoubleSeq</type>
      <name>get_double_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ac5240db8a506cd8dbe87628ea9bbc522</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::LongLongSeq</type>
      <name>get_longlong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>af5fd0ed209b9b0253f33e124967613eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::ULongLongSeq</type>
      <name>get_ulonglong_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>ab839d66f15942fb687a4d79f04713e96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::LongDoubleSeq</type>
      <name>get_longdouble_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a32c5363d9debafae0d9c3a3f19dfc7b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::WCharSeq</type>
      <name>get_wchar_seq</name>
      <anchorfile>a00002.html</anchorfile>
      <anchor>a5dda6420c5b5af26751d6dd48be20b60</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::InvalidValue</name>
    <filename>a00016.html</filename>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAny::TypeMismatch</name>
    <filename>a00032.html</filename>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynFixed</name>
    <filename>a00008.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>string</type>
      <name>get_value</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a7b09ba02762f3ad1920e308c83f8d0e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_value</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a5a4c217c6472909eda7bfc698b63a76d</anchor>
      <arglist>(in string val)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynEnum</name>
    <filename>a00007.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>string</type>
      <name>get_as_string</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a2061e6cf51d6649b4fa349961f2f7042</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_as_ulong</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a3abb3c8544df21f294f84a152d7a2bd6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>DynamicAny::NameValuePair</name>
    <filename>a00019.html</filename>
    <member kind="variable">
      <type>FieldName</type>
      <name>id</name>
      <anchorfile>a00019.html</anchorfile>
      <anchor>aed3611b05fe2421bf5717d52a94a63c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>any</type>
      <name>value</name>
      <anchorfile>a00019.html</anchorfile>
      <anchor>a0520859783f542f208921b36f51100f0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>DynamicAny::NameDynAnyPair</name>
    <filename>a00018.html</filename>
    <member kind="variable">
      <type>FieldName</type>
      <name>id</name>
      <anchorfile>a00018.html</anchorfile>
      <anchor>a61c912a49398455bffc736b3fea435fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DynAny</type>
      <name>value</name>
      <anchorfile>a00018.html</anchorfile>
      <anchor>a7aa5a0a55bc019b550c0bae7adbbe903</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynStruct</name>
    <filename>a00010.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>FieldName</type>
      <name>current_member_name</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a2719f9f6f4ac6239dbdbcaf02efaddf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>ae7adff7270bc74481d00a7e747099a7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameValuePairSeq</type>
      <name>get_members</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>ad0cc0c77e290619ef118aa9da31d1b07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameDynAnyPairSeq</type>
      <name>get_members_as_dyn_any</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>aa45e4b836ea3e5d894f101bb10d9e5d2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynUnion</name>
    <filename>a00011.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>DynAny</type>
      <name>get_discriminator</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a711a7974712b8b8ca17f31435d0e4533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_default_member</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a37109b43676d41bc6a165a05447dad4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_no_active_member</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a808e3f86d8e3612e4ca3b880c50e1085</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>has_no_active_member</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a8f07364090b762c5cc093b560c270d02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>discriminator_kind</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a5e10a39ae14facce29f81de8f1ca4222</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>member</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a068e489072e944129f4b95d89d4afeae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FieldName</type>
      <name>member_name</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a526a3370e2422875f1a2fb4d78a22d7d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>member_kind</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a94f4c1c2f4338de91e8145f49c4bc586</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynSequence</name>
    <filename>a00009.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_length</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>ad40b4903d06151715c9d7cb4de5c1e61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AnySeq</type>
      <name>get_elements</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>afa33f259b834c371d44fb7e6ae2e8f22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAnySeq</type>
      <name>get_elements_as_dyn_any</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a57b10487d13a2be72e97d231f2292448</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynArray</name>
    <filename>a00006.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>AnySeq</type>
      <name>get_elements</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a8887ad249e5bdd8ff5216d908ad106f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAnySeq</type>
      <name>get_elements_as_dyn_any</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a4ffa3825ca345968f3cefb611eb32626</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynValueCommon</name>
    <filename>a00014.html</filename>
    <base>DynamicAny::DynAny</base>
    <member kind="function">
      <type>boolean</type>
      <name>is_null</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>ae4e06e4159f335d4d96a0ea0006d9ace</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_null</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>afb237a302b86156102b4965d9a45f422</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_to_value</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a8402c29d4990db08e00df6adce06087f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynValue</name>
    <filename>a00012.html</filename>
    <base>DynamicAny::DynValueCommon</base>
    <member kind="function">
      <type>FieldName</type>
      <name>current_member_name</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>ad2c3c093703a7afb9312d828d328aeef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CORBA::TCKind</type>
      <name>current_member_kind</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a1be07bce484bb21827e0f3dc27fa87df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameValuePairSeq</type>
      <name>get_members</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a0ff2c18e8f61051f816151459461f898</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NameDynAnyPairSeq</type>
      <name>get_members_as_dyn_any</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a1a23bd96ae92ed8d4b04708ebaa8812a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynValueBox</name>
    <filename>a00013.html</filename>
    <base>DynamicAny::DynValueCommon</base>
    <member kind="function">
      <type>any</type>
      <name>get_boxed_value</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a42576e71052ad27a40b82faf5f39d6e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DynAny</type>
      <name>get_boxed_value_as_dyn_any</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a0511e27f77cd262be3f31024d08b1c8e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::MustTruncate</name>
    <filename>a00017.html</filename>
  </compound>
  <compound kind="interface">
    <name>DynamicAny::DynAnyFactory</name>
    <filename>a00004.html</filename>
    <class kind="exception">DynamicAny::DynAnyFactory::InconsistentTypeCode</class>
  </compound>
  <compound kind="exception">
    <name>DynamicAny::DynAnyFactory::InconsistentTypeCode</name>
    <filename>a00015.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_boolean &gt;</name>
    <filename>a00063.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_char &gt;</name>
    <filename>a00064.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_octet &gt;</name>
    <filename>a00065.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; ACE_InputCDR::to_wchar &gt;</name>
    <filename>a00066.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Char * &gt;</name>
    <filename>a00067.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Double &gt;</name>
    <filename>a00068.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Float &gt;</name>
    <filename>a00069.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Long &gt;</name>
    <filename>a00070.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::LongDouble &gt;</name>
    <filename>a00071.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::LongLong &gt;</name>
    <filename>a00072.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Object &gt;</name>
    <filename>a00073.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::Short &gt;</name>
    <filename>a00074.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::ULong &gt;</name>
    <filename>a00075.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::ULongLong &gt;</name>
    <filename>a00076.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::UShort &gt;</name>
    <filename>a00077.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; CORBA::WChar * &gt;</name>
    <filename>a00078.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; std::string &gt;</name>
    <filename>a00079.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::Arg_Traits&lt; std::wstring &gt;</name>
    <filename>a00080.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::details::string_traits_base&lt; CORBA::WChar &gt;</name>
    <filename>a00081.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::In_Object_Argument_Cloner_T&lt; CORBA::InterfaceDef_ptr &gt;</name>
    <filename>a00082.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::MakeDynAnyUtils</name>
    <filename>a00083.html</filename>
    <member kind="function">
      <type>DynamicAny::DynAny_ptr</type>
      <name>make_dyn_any_t</name>
      <anchorfile>a00083.html</anchorfile>
      <anchor>a84023332794322d6ebbc32a5248d76bc</anchor>
      <arglist>(CORBA::TypeCode_ptr tc, ANY_TC any_tc, CORBA::Boolean allow_truncation)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO::Objref_Traits&lt; CORBA::Object &gt;</name>
    <filename>a00084.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TAO::unbounded_value_sequence&lt; CORBA::Octet &gt;</name>
    <filename>a00085.html</filename>
  </compound>
  <compound kind="dir">
    <name>DynamicAny</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/DynamicAny/</path>
    <filename>dir_91573c014273aa93e43d15b3f8bfce88.html</filename>
    <file>DynamicAny.cpp</file>
    <file>DynamicAny.h</file>
    <file>DynamicAny.pidl</file>
    <file>dynamicany_export.h</file>
    <file>DynAny_i.cpp</file>
    <file>DynAny_i.h</file>
    <file>DynAnyFactory.cpp</file>
    <file>DynAnyFactory.h</file>
    <file>DynAnyUtils_T.cpp</file>
    <file>DynAnyUtils_T.h</file>
    <file>DynArray_i.cpp</file>
    <file>DynArray_i.h</file>
    <file>DynCommon.cpp</file>
    <file>DynCommon.h</file>
    <file>DynEnum_i.cpp</file>
    <file>DynEnum_i.h</file>
    <file>DynSequence_i.cpp</file>
    <file>DynSequence_i.h</file>
    <file>DynStruct_i.cpp</file>
    <file>DynStruct_i.h</file>
    <file>DynUnion_i.cpp</file>
    <file>DynUnion_i.h</file>
    <file>DynValue_i.cpp</file>
    <file>DynValue_i.h</file>
    <file>DynValueBox_i.cpp</file>
    <file>DynValueBox_i.h</file>
    <file>DynValueCommon_i.cpp</file>
    <file>DynValueCommon_i.h</file>
  </compound>
  <compound kind="dir">
    <name>tao</name>
    <path>/home/build/doxygen/ATCD/TAO/tao/</path>
    <filename>dir_e58f810e0bec50d432e8c31589fa3cdf.html</filename>
    <dir>DynamicAny</dir>
  </compound>
  <compound kind="dir">
    <name>TAO</name>
    <path>/home/build/doxygen/ATCD/TAO/</path>
    <filename>dir_7d2f060b0e44e0922479b718a695c69b.html</filename>
    <dir>tao</dir>
  </compound>
</tagfile>
